Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2005-2734

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2005-2734
Last Modified 05 Sep 2008 04:52:33
Published 30 Aug 2005 07:45:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2005-2734

Summary

Cross-site scripting (XSS) vulnerability in Gallery 1.5.1-RC2 and earlier allows remote attackers to inject arbitrary web script or HTML via EXIF data, such as the Camera Model Tag.

Vulnerable Systems

Application

  • Gallery Project Gallery 1.4

  • Gallery Project Gallery 1.4 Pl1

  • Gallery Project Gallery 1.4 Pl2

  • Gallery Project Gallery 1.4.1

  • Gallery Project Gallery 1.4.2

  • Gallery Project Gallery 1.4.3 Pl1

  • Gallery Project Gallery 1.4.3 Pl2

  • Gallery Project Gallery 1.4.4 Pl2

  • Gallery Project Gallery 1.4.4 Pl3

  • Gallery Project Gallery 1.4.4 Pl4

  • Gallery Project Gallery 1.4.4 Pl5

  • Gallery Project Gallery 1.5

  • Gallery Project Gallery 1.5.1

  • Gallery Project Gallery 1.5.1 Rc2


References

CONFIRM - http://sourceforge.net/project/shownotes.php?release_id=352576

BUGTRAQ - 20050826 Multiple PHP Images Galleries EXIF Metadata XSS Vulnerabilities

XF - photopost-exif-xss(22020)

BID - 14668

SECUNIA - 16594

DEBIAN - DSA-1148

SECTRACK - 1014800

SECUNIA - 21502

MISC - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=325285


Last Updated: 27 May 2016 10:40:37